{
  "name": "react-pokemon-app",
  "version": "0.1.0",
  "engines": {
    "npm": ">=5.2.0"
  },
  "private": true,
  "dependencies": {
    "@types/jest": "^24.0.22",
    "@types/node": "^12.12.7",
    "@types/react": "^16.9.11",
    "@types/react-dom": "^16.9.4",
    "prop-types": "^15.7.2",
    "react": "^16.11.0",
    "react-app-polyfill": "^1.0.4",
    "react-dom": "^16.11.0",
    "react-redux": "^7.1.3",
    "react-router": "^5.1.2",
    "react-router-dom": "^5.1.2",
    "react-scripts": "3.2.0",
    "redux": "^4.0.4",
    "redux-logger": "^3.0.6",
    "typescript": "^3.7.2"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "lint": "npx eslint ./src",
    "format": "npx prettier --write src/**/*.{js,css}"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all",
      "ie 11"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version",
      "ie 11"
    ]
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^2.6.1",
    "@typescript-eslint/parser": "^2.6.1",
    "enzyme": "^3.10.0",
    "enzyme-adapter-react-16": "^1.15.1",
    "eslint": "6.1.0",
    "eslint-config-airbnb": "18.0.1",
    "eslint-plugin-import": "2.18.2",
    "eslint-plugin-jsx-a11y": "6.2.3",
    "eslint-plugin-react": "7.14.3",
    "eslint-plugin-react-hooks": "^1.7.0",
    "husky": "^3.0.9",
    "jest": "^24.9.0",
    "prettier": "^1.19.1",
    "react-test-renderer": "^16.12.0",
    "tslint": "^5.20.1",
    "tslint-react": "^4.1.0"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run lint"
    }
  }
}
